WinShopAPI docs
ReferenceItem lists

Companies / Vat countries

List vat countries

GET
/api/item-lists/companies/vat-countries

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://<your-instance>/api/item-lists/companies/vat-countries' \  -H 'Authorization: Bearer <access-token>'
[  {    "currencyId": 0,    "id": 0,    "isEuMember": true,    "iso2": "st",    "iso3": "str",    "name": "string",    "number": "string",    "vatRate1": 0,    "vatRate2": 0,    "vatRate3": 0  }]

Get a vat country

GET
/api/item-lists/companies/vat-countries/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response
currencyId?integer
Formatint32
id?integer
Formatint32
isEuMember?boolean
iso2*string
Lengthlength <= 2
iso3*string
Lengthlength <= 3
name*string
Lengthlength <= 50
number*string
Lengthlength <= 10
vatRate1?number
Formatdecimal
vatRate2?number
Formatdecimal
vatRate3?number
Formatdecimal
curl -X GET 'https://<your-instance>/api/item-lists/companies/vat-countries/0' \  -H 'Authorization: Bearer <access-token>'
{  "currencyId": 0,  "id": 0,  "isEuMember": true,  "iso2": "st",  "iso3": "str",  "name": "string",  "number": "string",  "vatRate1": 0,  "vatRate2": 0,  "vatRate3": 0}